if loadfont $prefix/font.pf2 ; then
  set gfxmode=800x600
  set gfxpayload=keep
  insmod efi_gop
  insmod gfxterm
  terminal_output gfxterm
fi

set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue
menuentry 'Install' {
    set background_color=black
    linux    /%install%/vmlinux --- quiet
    initrd   /%install%/initrd.gz
}
submenu --hotkey=a 'Advanced options ...' {
    set menu_color_normal=cyan/blue
    set menu_color_highlight=white/blue
    set gfxpayload=keep
    menuentry '... Expert install' {
        set background_color=black
        linux    /%install%/vmlinux priority=low ---
        initrd   /%install%/initrd.gz
    }
    menuentry '... Rescue mode' {
        set background_color=black
        linux    /%install%/vmlinux rescue/enable=true --- quiet
        initrd   /%install%/initrd.gz
    }
    menuentry '... Automated install' {
        set background_color=black
        linux    /%install%/vmlinux auto=true priority=critical --- quiet
        initrd   /%install%/initrd.gz
    }
    menuentry --hotkey=x '... Expert install with speech synthesis' {
        set background_color=black
        linux    /%install%/vmlinux priority=low speakup.synth=soft ---
        initrd   /%install%/initrd.gz
    }
    menuentry --hotkey=r '... Rescue mode with speech synthesis' {
        set background_color=black
        linux    /%install%/vmlinux rescue/enable=true speakup.synth=soft --- quiet
        initrd   /%install%/initrd.gz
    }
    menuentry --hotkey=a '... Automated install with speech synthesis' {
        set background_color=black
        linux    /%install%/vmlinux auto=true priority=critical speakup.synth=soft --- quiet
        initrd   /%install%/initrd.gz
    }
    submenu '... Desktop environment menu ...' {
        set menu_color_normal=cyan/blue
        set menu_color_highlight=white/blue
        set gfxpayload=keep
        submenu '... GNOME desktop boot menu ...' {
            set menu_color_normal=cyan/blue
            set menu_color_highlight=white/blue
            set gfxpayload=keep
            menuentry '... Install' {
                set background_color=black
                linux    /%install%/vmlinux desktop=gnome --- quiet
                initrd   /%install%/initrd.gz
            }
            submenu '... GNOME advanced options ...' {
                set menu_color_normal=cyan/blue
                set menu_color_highlight=white/blue
                set gfxpayload=keep
                menuentry '... Expert install' {
                    set background_color=black
                    linux    /%install%/vmlinux desktop=gnome priority=low ---
                    initrd   /%install%/initrd.gz
                }
                menuentry '... Automated install' {
                    set background_color=black
                    linux    /%install%/vmlinux desktop=gnome auto=true priority=critical --- quiet
                    initrd   /%install%/initrd.gz
                }
                menuentry --hotkey=x '... Expert install with speech synthesis' {
                    set background_color=black
                    linux    /%install%/vmlinux desktop=gnome priority=low speakup.synth=soft ---
                    initrd   /%install%/initrd.gz
                }
                menuentry --hotkey=a '... Automated install with speech synthesis' {
                    set background_color=black
                    linux    /%install%/vmlinux desktop=gnome auto=true priority=critical speakup.synth=soft --- quiet
                    initrd   /%install%/initrd.gz
                }
            }
        }
        submenu '... KDE Plasma desktop boot menu ...' {
            set menu_color_normal=cyan/blue
            set menu_color_highlight=white/blue
            set gfxpayload=keep
            menuentry '... Install' {
                set background_color=black
                linux    /%install%/vmlinux desktop=kde --- quiet
                initrd   /%install%/initrd.gz
            }
            submenu '... KDE Plasma advanced options ...' {
                set menu_color_normal=cyan/blue
                set menu_color_highlight=white/blue
                set gfxpayload=keep
                menuentry '... Expert install' {
                    set background_color=black
                    linux    /%install%/vmlinux desktop=kde priority=low ---
                    initrd   /%install%/initrd.gz
                }
                menuentry '... Automated install' {
                    set background_color=black
                    linux    /%install%/vmlinux desktop=kde auto=true priority=critical --- quiet
                    initrd   /%install%/initrd.gz
                }
                menuentry --hotkey=x '... Expert install with speech synthesis' {
                    set background_color=black
                    linux    /%install%/vmlinux desktop=kde priority=low speakup.synth=soft ---
                    initrd   /%install%/initrd.gz
                }
                menuentry --hotkey=a '... Automated install with speech synthesis' {
                    set background_color=black
                    linux    /%install%/vmlinux desktop=kde auto=true priority=critical speakup.synth=soft --- quiet
                    initrd   /%install%/initrd.gz
                }
            }
        }
        submenu '... LXDE desktop boot menu ...' {
            set menu_color_normal=cyan/blue
            set menu_color_highlight=white/blue
            set gfxpayload=keep
            menuentry '... Install' {
                set background_color=black
                linux    /%install%/vmlinux desktop=lxde --- quiet
                initrd   /%install%/initrd.gz
            }
            submenu '... LXDE advanced options ...' {
                set menu_color_normal=cyan/blue
                set menu_color_highlight=white/blue
                set gfxpayload=keep
                menuentry '... Expert install' {
                    set background_color=black
                    linux    /%install%/vmlinux desktop=lxde priority=low ---
                    initrd   /%install%/initrd.gz
                }
                menuentry '... Automated install' {
                    set background_color=black
                    linux    /%install%/vmlinux desktop=lxde auto=true priority=critical --- quiet
                    initrd   /%install%/initrd.gz
                }
                menuentry --hotkey=x '... Expert install with speech synthesis' {
                    set background_color=black
                    linux    /%install%/vmlinux desktop=lxde priority=low speakup.synth=soft ---
                    initrd   /%install%/initrd.gz
                }
                menuentry --hotkey=a '... Automated install with speech synthesis' {
                    set background_color=black
                    linux    /%install%/vmlinux desktop=lxde auto=true priority=critical speakup.synth=soft --- quiet
                    initrd   /%install%/initrd.gz
                }
            }
        }
    }
}
submenu --hotkey=d 'Accessible dark contrast installer menu ...' {
    set menu_color_normal=white/black
    set menu_color_highlight=yellow/black
    set color_normal=white/black
    set color_highlight=yellow/black
    background_image
    set gfxpayload=keep
    menuentry '... Install' {
        set background_color=black
        linux    /%install%/vmlinux theme=dark --- quiet
        initrd   /%install%/initrd.gz
    }
    submenu --hotkey=a '... Advanced options ...' {
        set menu_color_normal=white/black
        set menu_color_highlight=yellow/black
        set color_normal=white/black
        set color_highlight=yellow/black
        background_image
        set gfxpayload=keep
        menuentry '... Expert install' {
            set background_color=black
            linux    /%install%/vmlinux priority=low theme=dark ---
            initrd   /%install%/initrd.gz
        }
        menuentry '... Rescue mode' {
            set background_color=black
            linux    /%install%/vmlinux rescue/enable=true theme=dark --- quiet
            initrd   /%install%/initrd.gz
        }
        menuentry '... Automated install' {
            set background_color=black
            linux    /%install%/vmlinux auto=true priority=critical theme=dark --- quiet
            initrd   /%install%/initrd.gz
        }
    }
}
